//
// PointAnnotation.h
// Project
//
// Created by haibara on 5/23/17.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import "SMModernCalloutView.h"

@interface PointAnnotation : MKPointAnnotation

@property (nonatomic, assign) NSInteger tag;
@property (nonatomic, strong) NSString *identifier;
@property (nonatomic, weak) id weaklyAssociatedObject;
@property (nonatomic, strong) id stronglyAssociatedObject;
@property (nonatomic, copy) id copiedAssociatedObject;
@property (nonatomic, strong) UIColor *pinTintColor;
@property (nonatomic, strong) UIImage *image;
@property (nonatomic, strong) UIImage *selectedImage;
@property (nonatomic, assign) BOOL showsCallout;
@property (nonatomic, strong) NSAttributedString *attributedTitle;
@property (nonatomic, strong) NSAttributedString *attributedSubtitle;

- (void)setCalloutViewConfigurationHandler:(void (^) (SMModernCalloutView *calloutView))configurationHandler;

@end
